import { IgxCancelEventArgs } from "igniteui-angular-core";
/**
 * Event arguments for the
 * contextMenuOpening event.
*/
export class IgxSpreadsheetContextMenuOpeningEventArgs extends IgxCancelEventArgs {
    /**
                                 * @hidden
                                 */
    get i() {
        return this._implementation;
    }
    constructor() {
        super();
    }
    /**
     * Returns the area for which the menu is being displayed
    */
    get menuArea() {
        return this.i.menuArea;
    }
}
